Skip to content

NAS-HA

All operations require authentication.

39 operationsv1/dedicated/nasha
Agent setup

List available servicesProduction

GET
/1.0/dedicated/nasha

Query parameters

iamTags
object

Filter resources on IAM tags

Response

200string[]successful operation

Reads your token from $OVH_TOKEN

$ curl https://api.eu.ovhcloud.com/1.0/dedicated/nasha \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ "string"]

Get this object propertiesProduction

GET
/1.0/dedicated/nasha/{serviceName}

Path parameters

serviceName
required
string

The internal name of your storage

Response

200StorageWithIAMsuccessful operation
canCreatePartition
read-only
boolean

True, if partition creation is allowed on this nas HA

customName
string

The name you give to the nas

datacenter
read-only
string

area of nas

diskType
read-only
DiskTypeEnum

the disk type of the nasHa

Valueshddnvmessd
iam
read-only
ResourceMetadata

IAM resource metadata

ip
read-only
ip

Access ip of nas

monitored
boolean

Send an email to customer if any issue is detected

serviceName
read-only
string

The storage service name

zpoolCapacity
read-only
integer

percentage of nas space used in %

zpoolSize
read-only
integer

the size of the nas

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/dedicated/nasha/{serviceName} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "canCreatePartition": true, "customName": "string", "datacenter": "string", "diskType": "hdd", "iam": { "displayName": "string", "id": "00000000-0000-0000-0000-000000000000", "state": "EXPIRED", "tags": { "key": "string" }, "urn": "string" }, "ip": "192.0.2.0", "monitored": true, "serviceName": "string", "zpoolCapacity": 0, "zpoolSize": 0}

Return a read token for manager mimir metricsProduction

GET
/1.0/dedicated/nasha/{serviceName}/metricsToken

Path parameters

serviceName
required
string

The internal name of your storage

Response

200MetricsTokenResultsuccessful operation
endpoint
string

The url of the endpoint

token
stringpassword

The token value

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/dedicated/nasha/{serviceName}/metricsToken \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "endpoint": "string", "token": "string"}

Get partition listProduction

GET
/1.0/dedicated/nasha/{serviceName}/partition

Path parameters

serviceName
required
string

The internal name of your storage

Response

200string[]successful operation

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/dedicated/nasha/{serviceName}/partition \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ "string"]

Get this object propertiesProduction

GET
/1.0/dedicated/nasha/{serviceName}/partition/{partitionName}

Path parameters

partitionName
required
string

the given name of partition

serviceName
required
string

The internal name of your storage

Response

200Partitionsuccessful operation
partitionCapacity
read-only
integer

percentage of partition space used in %

partitionDescription
string

a brief description of the partition

partitionName
read-only
string

the given name of partition

protocol
read-only
ProtocolEnum

must be nfs cifs or both

ValuesCIFSNFSNFS_CIFS
size
integer

Partition size

usedBySnapshots
read-only
integer

percentage of partition space used by snapshots, in %

Example uses partitionName = string, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/dedicated/nasha/{serviceName}/partition/{partitionName} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "partitionCapacity": 0, "partitionDescription": "string", "partitionName": "string", "protocol": "CIFS", "size": 0, "usedBySnapshots": 0}

get ACL for this partitionProduction

GET
/1.0/dedicated/nasha/{serviceName}/partition/{partitionName}/access

Path parameters

partitionName
required
string

the given name of partition

serviceName
required
string

The internal name of your storage

Response

200ipBlock[]successful operation

Example uses partitionName = string, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/dedicated/nasha/{serviceName}/partition/{partitionName}/access \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ "192.0.2.0/24"]

Get this object propertiesProduction

GET
/1.0/dedicated/nasha/{serviceName}/partition/{partitionName}/access/{ip}

Path parameters

ip
required
ipBlock

the ip in root on storage

partitionName
required
string

the given name of partition

serviceName
required
string

The internal name of your storage

Response

200Accesssuccessful operation
accessId
read-only
integer

the id of the access

aclDescription
read-only
string

a brief description of the acl

ip
read-only
ipBlock

the ip in root on storage

type
read-only
AclTypeEnum

ACL type

Valuesreadonlyreadwrite

Example uses ip = 192.0.2.0/24, partitionName = string, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/dedicated/nasha/{serviceName}/partition/{partitionName}/access/{ip} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "accessId": 0, "aclDescription": "string", "ip": "192.0.2.0/24", "type": "readonly"}

Get all RIPE/ARIN blocks that can be used in the ACLProduction

GET
/1.0/dedicated/nasha/{serviceName}/partition/{partitionName}/authorizableBlocks

Path parameters

partitionName
required
string

the given name of partition

serviceName
required
string

The internal name of your storage

Response

200ipBlock[]successful operation

Example uses partitionName = string, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/dedicated/nasha/{serviceName}/partition/{partitionName}/authorizableBlocks \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ "192.0.2.0/24"]

Get all IPs that can be used in the ACLProduction

GET
/1.0/dedicated/nasha/{serviceName}/partition/{partitionName}/authorizableIps

Path parameters

partitionName
required
string

the given name of partition

serviceName
required
string

The internal name of your storage

Response

200ip[]successful operation

Example uses partitionName = string, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/dedicated/nasha/{serviceName}/partition/{partitionName}/authorizableIps \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ "192.0.2.0"]

Get custom snapshots for this partitionBeta

GET
/1.0/dedicated/nasha/{serviceName}/partition/{partitionName}/customSnapshot

Path parameters

partitionName
required
string

the given name of partition

serviceName
required
string

The internal name of your storage

Response

200string[]successful operation

Example uses partitionName = string, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/dedicated/nasha/{serviceName}/partition/{partitionName}/customSnapshot \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ "string"]

Get this object propertiesBeta

GET
/1.0/dedicated/nasha/{serviceName}/partition/{partitionName}/customSnapshot/{name}

Path parameters

name
required
string

name of the snapshot

partitionName
required
string

the given name of partition

serviceName
required
string

The internal name of your storage

Response

200customSnapsuccessful operation
expiration
read-only
string

date and time at which snapshot will be automatically destroyed

name
read-only
string

name of the snapshot

Example uses name = string, partitionName = string, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/dedicated/nasha/{serviceName}/partition/{partitionName}/customSnapshot/{name} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "expiration": "string", "name": "string"}

Get this object propertiesProduction

GET
/1.0/dedicated/nasha/{serviceName}/partition/{partitionName}/options

Path parameters

partitionName
required
string

the given name of partition

serviceName
required
string

The internal name of your storage

Response

200optionssuccessful operation
atime
read-only
string

atime setting

id
read-only
integer

ID

recordsize
read-only
string

ZFS recordsize

sync
read-only
string

sync setting

templateName
read-only
TemplateUsageOptionsEnum

the template name

ValuesDatabasesDefaultFile Systems (big files)Virtual machines

Example uses partitionName = string, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/dedicated/nasha/{serviceName}/partition/{partitionName}/options \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "atime": "string", "id": 0, "recordsize": "string", "sync": "string", "templateName": "Databases"}

Get quota for this partitionProduction

GET
/1.0/dedicated/nasha/{serviceName}/partition/{partitionName}/quota

Path parameters

partitionName
required
string

the given name of partition

serviceName
required
string

The internal name of your storage

Response

200integer[]successful operation

Example uses partitionName = string, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/dedicated/nasha/{serviceName}/partition/{partitionName}/quota \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ 0]

Get this object propertiesProduction

GET
/1.0/dedicated/nasha/{serviceName}/partition/{partitionName}/quota/{uid}

Path parameters

partitionName
required
string

the given name of partition

serviceName
required
string

The internal name of your storage

uid
required
integer

the uid to set quota on

Response

200Quotasuccessful operation
size
read-only
integer

the size to set in MB

uid
read-only
integer

the uid to set quota on

Example uses partitionName = string, serviceName = string, uid = 0

$ curl https://api.eu.ovhcloud.com/1.0/dedicated/nasha/{serviceName}/partition/{partitionName}/quota/{uid} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "size": 0, "uid": 0}

Get scheduled snapshot types for this partitionProduction

GET
/1.0/dedicated/nasha/{serviceName}/partition/{partitionName}/snapshot

Path parameters

partitionName
required
string

the given name of partition

serviceName
required
string

The internal name of your storage

Response

200SnapshotEnum[]successful operation

Example uses partitionName = string, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/dedicated/nasha/{serviceName}/partition/{partitionName}/snapshot \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ "day-1"]

Get this object propertiesProduction

GET
/1.0/dedicated/nasha/{serviceName}/partition/{partitionName}/snapshot/{snapshotType}

Path parameters

partitionName
required
string

the given name of partition

serviceName
required
string

The internal name of your storage

snapshotType
required
SnapshotEnum

the interval of snapshot

Valuesday-1day-2day-3day-7hour-1hour-6

Response

200Snapshotsuccessful operation
snapshotType
read-only
SnapshotEnum

the interval of snapshot

Valuesday-1day-2day-3day-7hour-1hour-6

Example uses partitionName = string, serviceName = string, snapshotType = day-1

$ curl https://api.eu.ovhcloud.com/1.0/dedicated/nasha/{serviceName}/partition/{partitionName}/snapshot/{snapshotType} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "snapshotType": "day-1"}

Get all the template usages options applicable to this partition.Production

GET
/1.0/dedicated/nasha/{serviceName}/partition/{partitionName}/templateUsage

Path parameters

partitionName
required
string

the given name of partition

serviceName
required
string

The internal name of your storage

Response

200TemplateUsageOptionsDetails[]successful operation
description
string

The description of the template.

name
string

The name of the template

Example uses partitionName = string, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/dedicated/nasha/{serviceName}/partition/{partitionName}/templateUsage \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ { "description": "string", "name": "string" }]

Return statistics about the partitionProduction

GET
/1.0/dedicated/nasha/{serviceName}/partition/{partitionName}/use

Path parameters

partitionName
required
string

the given name of partition

serviceName
required
string

The internal name of your storage

Query parameters

type
required
PartitionUsageTypeEnum

The type of statistic to be fetched

Valuessizeusedusedbysnapshots

Response

200UnitAndValue_doublesuccessful operation
unit
string
—
value
number
—

Example uses partitionName = string, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/dedicated/nasha/{serviceName}/partition/{partitionName}/use \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "unit": "string", "value": 0}

Get service informationProduction

GET
/1.0/dedicated/nasha/{serviceName}/serviceInfos

Get service information. Returns the status, creation and expiration dates, contacts and renewal settings of the service.

Path parameters

serviceName
required
string

The internal name of your storage

Response

200Servicesuccessful operation
canDeleteAtExpiration
read-only
boolean

Indicates that the service can be set up to be deleted at expiration

contactAdmin
read-only
string
—
contactBilling
read-only
string
—
contactTech
read-only
string
—
creation
read-only
stringdate
—
domain
read-only
string
—
engagedUpTo
read-only
stringdate
—
expiration
read-only
stringdate
—
possibleRenewPeriod
read-only
integer[]

All the possible renew period of your service in month

renew
RenewType

Way of handling the renew

renewalType
read-only
RenewalTypeEnum

Detailed renewal type of a service

ValuesautomaticForcedProductautomaticV2012automaticV2014automaticV2016automaticV2024manualoneShotoption
serviceId
read-only
integer
—
status
read-only
StateEnum
—
ValuesautorenewInProgressexpiredinCreationokpendingDebtunPaid

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/dedicated/nasha/{serviceName}/serviceInfos \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "canDeleteAtExpiration": true, "contactAdmin": "string", "contactBilling": "string", "contactTech": "string", "creation": "2024-01-01", "domain": "string", "engagedUpTo": "2024-01-01", "expiration": "2024-01-01", "possibleRenewPeriod": [ 0 ], "renew": { "automatic": true, "deleteAtExpiration": true, "forced": true, "manualPayment": true, "period": 0 }, "renewalType": "automaticForcedProduct", "serviceId": 0, "status": "autorenewInProgress"}

View task listProduction

GET
/1.0/dedicated/nasha/{serviceName}/task

Path parameters

serviceName
required
string

The internal name of your storage

Query parameters

operation
TaskFunctionEnum

Filter the value of operation property (=)

ValuesbackupRecursiveDestroyclusterLeclercAclUpdateclusterLeclercChangeServiceIpclusterLeclercCustomSnapCreateclusterLeclercCustomSnapDeleteclusterLeclercDeleteSnapshotDirectoryclusterLeclercDestroyNasContainerclusterLeclercPartitionAddclusterLeclercPartitionDeleteclusterLeclercPartitionUpdateclusterLeclercQuotaUpdateclusterLeclercSetupNasContainerclusterLeclercSnapshotUpdateclusterLeclercZfsOptionsnasAclUpdatenasDeleteSnapshotDirectorynasPartitionAddnasPartitionDeletenasPartitionUpdatenasQuotaUpdateremoteBackupRecursiveDestroy
status
TaskStatusEnum

Filter the value of status property (=)

ValuescancelledcustomerErrordoingdoneinitovhErrortodo

Response

200integer[]successful operation

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/dedicated/nasha/{serviceName}/task \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ 0]

Get this object propertiesProduction

GET
/1.0/dedicated/nasha/{serviceName}/task/{taskId}

Path parameters

serviceName
required
string

The internal name of your storage

taskId
required
integer

id of the task

Response

200Tasksuccessful operation
details
read-only
string

information about operation

doneDate
read-only
stringdate-time

the date when the task finished

lastUpdate
read-only
stringdate-time

last modification of task

operation
read-only
TaskFunctionEnum

Task type of operation

ValuesbackupRecursiveDestroyclusterLeclercAclUpdateclusterLeclercChangeServiceIpclusterLeclercCustomSnapCreateclusterLeclercCustomSnapDeleteclusterLeclercDeleteSnapshotDirectoryclusterLeclercDestroyNasContainerclusterLeclercPartitionAddclusterLeclercPartitionDeleteclusterLeclercPartitionUpdateclusterLeclercQuotaUpdateclusterLeclercSetupNasContainerclusterLeclercSnapshotUpdateclusterLeclercZfsOptionsnasAclUpdatenasDeleteSnapshotDirectorynasPartitionAddnasPartitionDeletenasPartitionUpdatenasQuotaUpdateremoteBackupRecursiveDestroy
partitionName
read-only
string

name of the partition

status
read-only
TaskStatusEnum

The actual state of the task

ValuescancelledcustomerErrordoingdoneinitovhErrortodo
storageName
read-only
string

the name of your service

taskId
read-only
integer

id of the task

todoDate
read-only
stringdate-time

Insertion of task in the todo

Example uses serviceName = string, taskId = 0

$ curl https://api.eu.ovhcloud.com/1.0/dedicated/nasha/{serviceName}/task/{taskId} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "details": "string", "doneDate": "2024-01-01T12:00:00Z", "lastUpdate": "2024-01-01T12:00:00Z", "operation": "backupRecursiveDestroy", "partitionName": "string", "status": "cancelled", "storageName": "string", "taskId": 0, "todoDate": "2024-01-01T12:00:00Z"}

Return statistics about the nasProduction

GET
/1.0/dedicated/nasha/{serviceName}/use

Path parameters

serviceName
required
string

The internal name of your storage

Query parameters

type
required
NasUsageTypeEnum

The type of statistic to be fetched

Valuessizeusedusedbysnapshots

Response

200UnitAndValue_doublesuccessful operation
unit
string
—
value
number
—

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/dedicated/nasha/{serviceName}/use \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "unit": "string", "value": 0}

Change service contactsProduction

POST
/1.0/dedicated/nasha/{serviceName}/changeContact

Change service contacts. Starts a procedure to change the admin, tech or billing contact of the service.

Path parameters

serviceName
required
string

The internal name of your storage

Request body (required)

contactAdmin
string

The contact to set as admin contact

contactBilling
string

The contact to set as billing contact

contactTech
string

The contact to set as tech contact

Response

200integer[]successful operation

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/dedicated/nasha/{serviceName}/changeContact \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ 0]

Confirm service terminationProduction

POST
/1.0/dedicated/nasha/{serviceName}/confirmTermination

Confirm service termination. Terminates the service with the token sent by email to the admin contact. A reason, a future use and a comment can be given.

Path parameters

serviceName
required
string

The internal name of your storage

Request body (required)

commentary
string

Commentary about your termination request

futureUse
TerminationFutureUseEnum

What next after your termination request

ValuesNOT_REPLACING_SERVICEOTHERSUBSCRIBE_AN_OTHER_SERVICESUBSCRIBE_OTHER_KIND_OF_SERVICE_WITH_COMPETITORSUBSCRIBE_SIMILAR_SERVICE_WITH_COMPETITOR
reason
TerminationReasonEnum

Reason of your termination request

ValuesFEATURES_DONT_SUIT_MELACK_OF_PERFORMANCESMIGRATED_TO_ANOTHER_OVH_PRODUCTMIGRATED_TO_COMPETITORNOT_ENOUGH_RECOGNITIONNOT_NEEDED_ANYMORENOT_RELIABLENO_ANSWEROTHERPRODUCT_DIMENSION_DONT_SUIT_MEPRODUCT_TOOLS_DONT_SUIT_METOO_EXPENSIVETOO_HARD_TO_USEUNSATIFIED_BY_CUSTOMER_SUPPORT
token
required
string

The termination token sent by email to the admin contact

Response

200stringsuccessful operation

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/dedicated/nasha/{serviceName}/confirmTermination \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
"string"

Create a new partitionProduction

POST
/1.0/dedicated/nasha/{serviceName}/partition

Path parameters

serviceName
required
string

The internal name of your storage

Request body (required)

partitionDescription
string

Partition description

partitionName
required
string

Partition name

protocol
required
ProtocolEnum

NFS|CIFS|NFS_CIFS

ValuesCIFSNFSNFS_CIFS
size
required
integer

Partition size

Response

200Tasksuccessful operation
details
read-only
string

information about operation

doneDate
read-only
stringdate-time

the date when the task finished

lastUpdate
read-only
stringdate-time

last modification of task

operation
read-only
TaskFunctionEnum

Task type of operation

ValuesbackupRecursiveDestroyclusterLeclercAclUpdateclusterLeclercChangeServiceIpclusterLeclercCustomSnapCreateclusterLeclercCustomSnapDeleteclusterLeclercDeleteSnapshotDirectoryclusterLeclercDestroyNasContainerclusterLeclercPartitionAddclusterLeclercPartitionDeleteclusterLeclercPartitionUpdateclusterLeclercQuotaUpdateclusterLeclercSetupNasContainerclusterLeclercSnapshotUpdateclusterLeclercZfsOptionsnasAclUpdatenasDeleteSnapshotDirectorynasPartitionAddnasPartitionDeletenasPartitionUpdatenasQuotaUpdateremoteBackupRecursiveDestroy
partitionName
read-only
string

name of the partition

status
read-only
TaskStatusEnum

The actual state of the task

ValuescancelledcustomerErrordoingdoneinitovhErrortodo
storageName
read-only
string

the name of your service

taskId
read-only
integer

id of the task

todoDate
read-only
stringdate-time

Insertion of task in the todo

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/dedicated/nasha/{serviceName}/partition \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "details": "string", "doneDate": "2024-01-01T12:00:00Z", "lastUpdate": "2024-01-01T12:00:00Z", "operation": "backupRecursiveDestroy", "partitionName": "string", "status": "cancelled", "storageName": "string", "taskId": 0, "todoDate": "2024-01-01T12:00:00Z"}

Add a new ACL entryProduction

POST
/1.0/dedicated/nasha/{serviceName}/partition/{partitionName}/access

Path parameters

partitionName
required
string

the given name of partition

serviceName
required
string

The internal name of your storage

Request body (required)

aclDescription
string

ACL description

ip
required
ipBlock

Ip or block to add

type
AclTypeEnum

ACL type

Valuesreadonlyreadwrite

Response

200Tasksuccessful operation
details
read-only
string

information about operation

doneDate
read-only
stringdate-time

the date when the task finished

lastUpdate
read-only
stringdate-time

last modification of task

operation
read-only
TaskFunctionEnum

Task type of operation

ValuesbackupRecursiveDestroyclusterLeclercAclUpdateclusterLeclercChangeServiceIpclusterLeclercCustomSnapCreateclusterLeclercCustomSnapDeleteclusterLeclercDeleteSnapshotDirectoryclusterLeclercDestroyNasContainerclusterLeclercPartitionAddclusterLeclercPartitionDeleteclusterLeclercPartitionUpdateclusterLeclercQuotaUpdateclusterLeclercSetupNasContainerclusterLeclercSnapshotUpdateclusterLeclercZfsOptionsnasAclUpdatenasDeleteSnapshotDirectorynasPartitionAddnasPartitionDeletenasPartitionUpdatenasQuotaUpdateremoteBackupRecursiveDestroy
partitionName
read-only
string

name of the partition

status
read-only
TaskStatusEnum

The actual state of the task

ValuescancelledcustomerErrordoingdoneinitovhErrortodo
storageName
read-only
string

the name of your service

taskId
read-only
integer

id of the task

todoDate
read-only
stringdate-time

Insertion of task in the todo

Example uses partitionName = string, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/dedicated/nasha/{serviceName}/partition/{partitionName}/access \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "details": "string", "doneDate": "2024-01-01T12:00:00Z", "lastUpdate": "2024-01-01T12:00:00Z", "operation": "backupRecursiveDestroy", "partitionName": "string", "status": "cancelled", "storageName": "string", "taskId": 0, "todoDate": "2024-01-01T12:00:00Z"}

Create a new snapshotBeta

POST
/1.0/dedicated/nasha/{serviceName}/partition/{partitionName}/customSnapshot

Path parameters

partitionName
required
string

the given name of partition

serviceName
required
string

The internal name of your storage

Request body (required)

expiration
string

optional expiration date/time, in iso8601 format

name
required
string

the name of the snapshot

Response

200Tasksuccessful operation
details
read-only
string

information about operation

doneDate
read-only
stringdate-time

the date when the task finished

lastUpdate
read-only
stringdate-time

last modification of task

operation
read-only
TaskFunctionEnum

Task type of operation

ValuesbackupRecursiveDestroyclusterLeclercAclUpdateclusterLeclercChangeServiceIpclusterLeclercCustomSnapCreateclusterLeclercCustomSnapDeleteclusterLeclercDeleteSnapshotDirectoryclusterLeclercDestroyNasContainerclusterLeclercPartitionAddclusterLeclercPartitionDeleteclusterLeclercPartitionUpdateclusterLeclercQuotaUpdateclusterLeclercSetupNasContainerclusterLeclercSnapshotUpdateclusterLeclercZfsOptionsnasAclUpdatenasDeleteSnapshotDirectorynasPartitionAddnasPartitionDeletenasPartitionUpdatenasQuotaUpdateremoteBackupRecursiveDestroy
partitionName
read-only
string

name of the partition

status
read-only
TaskStatusEnum

The actual state of the task

ValuescancelledcustomerErrordoingdoneinitovhErrortodo
storageName
read-only
string

the name of your service

taskId
read-only
integer

id of the task

todoDate
read-only
stringdate-time

Insertion of task in the todo

Example uses partitionName = string, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/dedicated/nasha/{serviceName}/partition/{partitionName}/customSnapshot \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "details": "string", "doneDate": "2024-01-01T12:00:00Z", "lastUpdate": "2024-01-01T12:00:00Z", "operation": "backupRecursiveDestroy", "partitionName": "string", "status": "cancelled", "storageName": "string", "taskId": 0, "todoDate": "2024-01-01T12:00:00Z"}

Setup optionsProduction

POST
/1.0/dedicated/nasha/{serviceName}/partition/{partitionName}/options

Path parameters

partitionName
required
string

the given name of partition

serviceName
required
string

The internal name of your storage

Request body (required)

atime
AtimeEnum

atime setting

Valuesoffon
recordsize
RecordSizeEnum

ZFS recordsize

Values104857613107216384327684096655368192
sync
SyncEnum

sync setting

Valuesalwaysdisabledstandard
templateName
TemplateUsageOptionsEnum

The name of the usage template to apply for this partition.

ValuesDatabasesDefaultFile Systems (big files)Virtual machines

Response

200Tasksuccessful operation
details
read-only
string

information about operation

doneDate
read-only
stringdate-time

the date when the task finished

lastUpdate
read-only
stringdate-time

last modification of task

operation
read-only
TaskFunctionEnum

Task type of operation

ValuesbackupRecursiveDestroyclusterLeclercAclUpdateclusterLeclercChangeServiceIpclusterLeclercCustomSnapCreateclusterLeclercCustomSnapDeleteclusterLeclercDeleteSnapshotDirectoryclusterLeclercDestroyNasContainerclusterLeclercPartitionAddclusterLeclercPartitionDeleteclusterLeclercPartitionUpdateclusterLeclercQuotaUpdateclusterLeclercSetupNasContainerclusterLeclercSnapshotUpdateclusterLeclercZfsOptionsnasAclUpdatenasDeleteSnapshotDirectorynasPartitionAddnasPartitionDeletenasPartitionUpdatenasQuotaUpdateremoteBackupRecursiveDestroy
partitionName
read-only
string

name of the partition

status
read-only
TaskStatusEnum

The actual state of the task

ValuescancelledcustomerErrordoingdoneinitovhErrortodo
storageName
read-only
string

the name of your service

taskId
read-only
integer

id of the task

todoDate
read-only
stringdate-time

Insertion of task in the todo

Example uses partitionName = string, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/dedicated/nasha/{serviceName}/partition/{partitionName}/options \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "details": "string", "doneDate": "2024-01-01T12:00:00Z", "lastUpdate": "2024-01-01T12:00:00Z", "operation": "backupRecursiveDestroy", "partitionName": "string", "status": "cancelled", "storageName": "string", "taskId": 0, "todoDate": "2024-01-01T12:00:00Z"}

Set a new quotaProduction

POST
/1.0/dedicated/nasha/{serviceName}/partition/{partitionName}/quota

Path parameters

partitionName
required
string

the given name of partition

serviceName
required
string

The internal name of your storage

Request body (required)

size
required
integer

the size to set in MB

uid
required
integer

the uid to set quota on

Response

200Tasksuccessful operation
details
read-only
string

information about operation

doneDate
read-only
stringdate-time

the date when the task finished

lastUpdate
read-only
stringdate-time

last modification of task

operation
read-only
TaskFunctionEnum

Task type of operation

ValuesbackupRecursiveDestroyclusterLeclercAclUpdateclusterLeclercChangeServiceIpclusterLeclercCustomSnapCreateclusterLeclercCustomSnapDeleteclusterLeclercDeleteSnapshotDirectoryclusterLeclercDestroyNasContainerclusterLeclercPartitionAddclusterLeclercPartitionDeleteclusterLeclercPartitionUpdateclusterLeclercQuotaUpdateclusterLeclercSetupNasContainerclusterLeclercSnapshotUpdateclusterLeclercZfsOptionsnasAclUpdatenasDeleteSnapshotDirectorynasPartitionAddnasPartitionDeletenasPartitionUpdatenasQuotaUpdateremoteBackupRecursiveDestroy
partitionName
read-only
string

name of the partition

status
read-only
TaskStatusEnum

The actual state of the task

ValuescancelledcustomerErrordoingdoneinitovhErrortodo
storageName
read-only
string

the name of your service

taskId
read-only
integer

id of the task

todoDate
read-only
stringdate-time

Insertion of task in the todo

Example uses partitionName = string, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/dedicated/nasha/{serviceName}/partition/{partitionName}/quota \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "details": "string", "doneDate": "2024-01-01T12:00:00Z", "lastUpdate": "2024-01-01T12:00:00Z", "operation": "backupRecursiveDestroy", "partitionName": "string", "status": "cancelled", "storageName": "string", "taskId": 0, "todoDate": "2024-01-01T12:00:00Z"}

Schedule a new snapshot typeProduction

POST
/1.0/dedicated/nasha/{serviceName}/partition/{partitionName}/snapshot

Path parameters

partitionName
required
string

the given name of partition

serviceName
required
string

The internal name of your storage

Request body (required)

snapshotType
required
SnapshotEnum

Snapshot interval to add

Valuesday-1day-2day-3day-7hour-1hour-6

Response

200Tasksuccessful operation
details
read-only
string

information about operation

doneDate
read-only
stringdate-time

the date when the task finished

lastUpdate
read-only
stringdate-time

last modification of task

operation
read-only
TaskFunctionEnum

Task type of operation

ValuesbackupRecursiveDestroyclusterLeclercAclUpdateclusterLeclercChangeServiceIpclusterLeclercCustomSnapCreateclusterLeclercCustomSnapDeleteclusterLeclercDeleteSnapshotDirectoryclusterLeclercDestroyNasContainerclusterLeclercPartitionAddclusterLeclercPartitionDeleteclusterLeclercPartitionUpdateclusterLeclercQuotaUpdateclusterLeclercSetupNasContainerclusterLeclercSnapshotUpdateclusterLeclercZfsOptionsnasAclUpdatenasDeleteSnapshotDirectorynasPartitionAddnasPartitionDeletenasPartitionUpdatenasQuotaUpdateremoteBackupRecursiveDestroy
partitionName
read-only
string

name of the partition

status
read-only
TaskStatusEnum

The actual state of the task

ValuescancelledcustomerErrordoingdoneinitovhErrortodo
storageName
read-only
string

the name of your service

taskId
read-only
integer

id of the task

todoDate
read-only
stringdate-time

Insertion of task in the todo

Example uses partitionName = string, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/dedicated/nasha/{serviceName}/partition/{partitionName}/snapshot \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "details": "string", "doneDate": "2024-01-01T12:00:00Z", "lastUpdate": "2024-01-01T12:00:00Z", "operation": "backupRecursiveDestroy", "partitionName": "string", "status": "cancelled", "storageName": "string", "taskId": 0, "todoDate": "2024-01-01T12:00:00Z"}

Request service terminationProduction

POST
/1.0/dedicated/nasha/{serviceName}/terminate

Request service termination. Starts the termination of the service. The admin contact receives a token by email, to confirm with the confirmTermination call.

Path parameters

serviceName
required
string

The internal name of your storage

Response

200stringsuccessful operation

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/dedicated/nasha/{serviceName}/terminate \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
"string"

Delete this partitionProduction

DELETE
/1.0/dedicated/nasha/{serviceName}/partition/{partitionName}

Path parameters

partitionName
required
string

the given name of partition

serviceName
required
string

The internal name of your storage

Response

200Tasksuccessful operation
details
read-only
string

information about operation

doneDate
read-only
stringdate-time

the date when the task finished

lastUpdate
read-only
stringdate-time

last modification of task

operation
read-only
TaskFunctionEnum

Task type of operation

ValuesbackupRecursiveDestroyclusterLeclercAclUpdateclusterLeclercChangeServiceIpclusterLeclercCustomSnapCreateclusterLeclercCustomSnapDeleteclusterLeclercDeleteSnapshotDirectoryclusterLeclercDestroyNasContainerclusterLeclercPartitionAddclusterLeclercPartitionDeleteclusterLeclercPartitionUpdateclusterLeclercQuotaUpdateclusterLeclercSetupNasContainerclusterLeclercSnapshotUpdateclusterLeclercZfsOptionsnasAclUpdatenasDeleteSnapshotDirectorynasPartitionAddnasPartitionDeletenasPartitionUpdatenasQuotaUpdateremoteBackupRecursiveDestroy
partitionName
read-only
string

name of the partition

status
read-only
TaskStatusEnum

The actual state of the task

ValuescancelledcustomerErrordoingdoneinitovhErrortodo
storageName
read-only
string

the name of your service

taskId
read-only
integer

id of the task

todoDate
read-only
stringdate-time

Insertion of task in the todo

Example uses partitionName = string, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/dedicated/nasha/{serviceName}/partition/{partitionName} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "details": "string", "doneDate": "2024-01-01T12:00:00Z", "lastUpdate": "2024-01-01T12:00:00Z", "operation": "backupRecursiveDestroy", "partitionName": "string", "status": "cancelled", "storageName": "string", "taskId": 0, "todoDate": "2024-01-01T12:00:00Z"}

Delete an ACL entryProduction

DELETE
/1.0/dedicated/nasha/{serviceName}/partition/{partitionName}/access/{ip}

Path parameters

ip
required
ipBlock

the ip in root on storage

partitionName
required
string

the given name of partition

serviceName
required
string

The internal name of your storage

Response

200Tasksuccessful operation
details
read-only
string

information about operation

doneDate
read-only
stringdate-time

the date when the task finished

lastUpdate
read-only
stringdate-time

last modification of task

operation
read-only
TaskFunctionEnum

Task type of operation

ValuesbackupRecursiveDestroyclusterLeclercAclUpdateclusterLeclercChangeServiceIpclusterLeclercCustomSnapCreateclusterLeclercCustomSnapDeleteclusterLeclercDeleteSnapshotDirectoryclusterLeclercDestroyNasContainerclusterLeclercPartitionAddclusterLeclercPartitionDeleteclusterLeclercPartitionUpdateclusterLeclercQuotaUpdateclusterLeclercSetupNasContainerclusterLeclercSnapshotUpdateclusterLeclercZfsOptionsnasAclUpdatenasDeleteSnapshotDirectorynasPartitionAddnasPartitionDeletenasPartitionUpdatenasQuotaUpdateremoteBackupRecursiveDestroy
partitionName
read-only
string

name of the partition

status
read-only
TaskStatusEnum

The actual state of the task

ValuescancelledcustomerErrordoingdoneinitovhErrortodo
storageName
read-only
string

the name of your service

taskId
read-only
integer

id of the task

todoDate
read-only
stringdate-time

Insertion of task in the todo

Example uses ip = 192.0.2.0/24, partitionName = string, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/dedicated/nasha/{serviceName}/partition/{partitionName}/access/{ip} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "details": "string", "doneDate": "2024-01-01T12:00:00Z", "lastUpdate": "2024-01-01T12:00:00Z", "operation": "backupRecursiveDestroy", "partitionName": "string", "status": "cancelled", "storageName": "string", "taskId": 0, "todoDate": "2024-01-01T12:00:00Z"}

Delete a given snapshotBeta

DELETE
/1.0/dedicated/nasha/{serviceName}/partition/{partitionName}/customSnapshot/{name}

Path parameters

name
required
string

name of the snapshot

partitionName
required
string

the given name of partition

serviceName
required
string

The internal name of your storage

Response

200Tasksuccessful operation
details
read-only
string

information about operation

doneDate
read-only
stringdate-time

the date when the task finished

lastUpdate
read-only
stringdate-time

last modification of task

operation
read-only
TaskFunctionEnum

Task type of operation

ValuesbackupRecursiveDestroyclusterLeclercAclUpdateclusterLeclercChangeServiceIpclusterLeclercCustomSnapCreateclusterLeclercCustomSnapDeleteclusterLeclercDeleteSnapshotDirectoryclusterLeclercDestroyNasContainerclusterLeclercPartitionAddclusterLeclercPartitionDeleteclusterLeclercPartitionUpdateclusterLeclercQuotaUpdateclusterLeclercSetupNasContainerclusterLeclercSnapshotUpdateclusterLeclercZfsOptionsnasAclUpdatenasDeleteSnapshotDirectorynasPartitionAddnasPartitionDeletenasPartitionUpdatenasQuotaUpdateremoteBackupRecursiveDestroy
partitionName
read-only
string

name of the partition

status
read-only
TaskStatusEnum

The actual state of the task

ValuescancelledcustomerErrordoingdoneinitovhErrortodo
storageName
read-only
string

the name of your service

taskId
read-only
integer

id of the task

todoDate
read-only
stringdate-time

Insertion of task in the todo

Example uses name = string, partitionName = string, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/dedicated/nasha/{serviceName}/partition/{partitionName}/customSnapshot/{name} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "details": "string", "doneDate": "2024-01-01T12:00:00Z", "lastUpdate": "2024-01-01T12:00:00Z", "operation": "backupRecursiveDestroy", "partitionName": "string", "status": "cancelled", "storageName": "string", "taskId": 0, "todoDate": "2024-01-01T12:00:00Z"}

Delete a given quotaProduction

DELETE
/1.0/dedicated/nasha/{serviceName}/partition/{partitionName}/quota/{uid}

Path parameters

partitionName
required
string

the given name of partition

serviceName
required
string

The internal name of your storage

uid
required
integer

the uid to set quota on

Response

200Tasksuccessful operation
details
read-only
string

information about operation

doneDate
read-only
stringdate-time

the date when the task finished

lastUpdate
read-only
stringdate-time

last modification of task

operation
read-only
TaskFunctionEnum

Task type of operation

ValuesbackupRecursiveDestroyclusterLeclercAclUpdateclusterLeclercChangeServiceIpclusterLeclercCustomSnapCreateclusterLeclercCustomSnapDeleteclusterLeclercDeleteSnapshotDirectoryclusterLeclercDestroyNasContainerclusterLeclercPartitionAddclusterLeclercPartitionDeleteclusterLeclercPartitionUpdateclusterLeclercQuotaUpdateclusterLeclercSetupNasContainerclusterLeclercSnapshotUpdateclusterLeclercZfsOptionsnasAclUpdatenasDeleteSnapshotDirectorynasPartitionAddnasPartitionDeletenasPartitionUpdatenasQuotaUpdateremoteBackupRecursiveDestroy
partitionName
read-only
string

name of the partition

status
read-only
TaskStatusEnum

The actual state of the task

ValuescancelledcustomerErrordoingdoneinitovhErrortodo
storageName
read-only
string

the name of your service

taskId
read-only
integer

id of the task

todoDate
read-only
stringdate-time

Insertion of task in the todo

Example uses partitionName = string, serviceName = string, uid = 0

$ curl https://api.eu.ovhcloud.com/1.0/dedicated/nasha/{serviceName}/partition/{partitionName}/quota/{uid} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "details": "string", "doneDate": "2024-01-01T12:00:00Z", "lastUpdate": "2024-01-01T12:00:00Z", "operation": "backupRecursiveDestroy", "partitionName": "string", "status": "cancelled", "storageName": "string", "taskId": 0, "todoDate": "2024-01-01T12:00:00Z"}

Delete a given snapshotProduction

DELETE
/1.0/dedicated/nasha/{serviceName}/partition/{partitionName}/snapshot/{snapshotType}

Path parameters

partitionName
required
string

the given name of partition

serviceName
required
string

The internal name of your storage

snapshotType
required
SnapshotEnum

the interval of snapshot

Valuesday-1day-2day-3day-7hour-1hour-6

Response

200Tasksuccessful operation
details
read-only
string

information about operation

doneDate
read-only
stringdate-time

the date when the task finished

lastUpdate
read-only
stringdate-time

last modification of task

operation
read-only
TaskFunctionEnum

Task type of operation

ValuesbackupRecursiveDestroyclusterLeclercAclUpdateclusterLeclercChangeServiceIpclusterLeclercCustomSnapCreateclusterLeclercCustomSnapDeleteclusterLeclercDeleteSnapshotDirectoryclusterLeclercDestroyNasContainerclusterLeclercPartitionAddclusterLeclercPartitionDeleteclusterLeclercPartitionUpdateclusterLeclercQuotaUpdateclusterLeclercSetupNasContainerclusterLeclercSnapshotUpdateclusterLeclercZfsOptionsnasAclUpdatenasDeleteSnapshotDirectorynasPartitionAddnasPartitionDeletenasPartitionUpdatenasQuotaUpdateremoteBackupRecursiveDestroy
partitionName
read-only
string

name of the partition

status
read-only
TaskStatusEnum

The actual state of the task

ValuescancelledcustomerErrordoingdoneinitovhErrortodo
storageName
read-only
string

the name of your service

taskId
read-only
integer

id of the task

todoDate
read-only
stringdate-time

Insertion of task in the todo

Example uses partitionName = string, serviceName = string, snapshotType = day-1

$ curl https://api.eu.ovhcloud.com/1.0/dedicated/nasha/{serviceName}/partition/{partitionName}/snapshot/{snapshotType} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "details": "string", "doneDate": "2024-01-01T12:00:00Z", "lastUpdate": "2024-01-01T12:00:00Z", "operation": "backupRecursiveDestroy", "partitionName": "string", "status": "cancelled", "storageName": "string", "taskId": 0, "todoDate": "2024-01-01T12:00:00Z"}

Alter this object propertiesProduction

PUT
/1.0/dedicated/nasha/{serviceName}

Path parameters

serviceName
required
string

The internal name of your storage

Request body (required)

canCreatePartition
read-only
boolean

True, if partition creation is allowed on this nas HA

customName
string

The name you give to the nas

datacenter
read-only
string

area of nas

diskType
read-only
DiskTypeEnum

the disk type of the nasHa

Valueshddnvmessd
ip
read-only
ip

Access ip of nas

monitored
boolean

Send an email to customer if any issue is detected

serviceName
read-only
string

The storage service name

zpoolCapacity
read-only
integer

percentage of nas space used in %

zpoolSize
read-only
integer

the size of the nas

Response

200—successful operation

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/dedicated/nasha/{serviceName} \
  -H "authorization: Bearer $OVH_TOKEN"

Alter this object propertiesProduction

PUT
/1.0/dedicated/nasha/{serviceName}/partition/{partitionName}

Path parameters

partitionName
required
string

the given name of partition

serviceName
required
string

The internal name of your storage

Request body (required)

partitionCapacity
read-only
integer

percentage of partition space used in %

partitionDescription
string

a brief description of the partition

partitionName
read-only
string

the given name of partition

protocol
read-only
ProtocolEnum

must be nfs cifs or both

ValuesCIFSNFSNFS_CIFS
size
integer

Partition size

usedBySnapshots
read-only
integer

percentage of partition space used by snapshots, in %

Response

200—successful operation

Example uses partitionName = string, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/dedicated/nasha/{serviceName}/partition/{partitionName} \
  -H "authorization: Bearer $OVH_TOKEN"

Update service informationProduction

PUT
/1.0/dedicated/nasha/{serviceName}/serviceInfos

Update service information. Updates the renewal settings of the service: automatic renewal, period, or deletion at expiration.

Path parameters

serviceName
required
string

The internal name of your storage

Request body (required)

canDeleteAtExpiration
read-only
boolean

Indicates that the service can be set up to be deleted at expiration

contactAdmin
read-only
string
—
contactBilling
read-only
string
—
contactTech
read-only
string
—
creation
read-only
stringdate
—
domain
read-only
string
—
engagedUpTo
read-only
stringdate
—
expiration
read-only
stringdate
—
possibleRenewPeriod
read-only
integer[]

All the possible renew period of your service in month

renew
RenewType

Way of handling the renew

renewalType
read-only
RenewalTypeEnum

Detailed renewal type of a service

ValuesautomaticForcedProductautomaticV2012automaticV2014automaticV2016automaticV2024manualoneShotoption
serviceId
read-only
integer
—
status
read-only
StateEnum
—
ValuesautorenewInProgressexpiredinCreationokpendingDebtunPaid

Response

200—successful operation

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/dedicated/nasha/{serviceName}/serviceInfos \
  -H "authorization: Bearer $OVH_TOKEN"